package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanApplicationTemplate;

public interface TabHaobanApplicationTemplateMapper {
    int deleteByPrimaryKey(String applicationTemplateId);

    int insert(TabHaobanApplicationTemplate record);

    int insertSelective(TabHaobanApplicationTemplate record);

    TabHaobanApplicationTemplate selectByPrimaryKey(String applicationTemplateId);

    int updateByPrimaryKeySelective(TabHaobanApplicationTemplate record);

    int updateByPrimaryKey(TabHaobanApplicationTemplate record);

	TabHaobanApplicationTemplate selectByTemplateName(@Param("templateName")String templateName);

	List<TabHaobanApplicationTemplate> listByTemplateName(@Param("templateName")String applicationTemplateName);

	TabHaobanApplicationTemplate selectDefaultTemplate();
}